• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

的Visual Studio .NET 2017年SDK不支持针对.NET核2.0

我打破我的头在这个现在一会儿:的Visual Studio .NET 2017年SDK不支持针对.NET核2.0

我试图安装专业和社区的Visual Studio 2017年v 15.5.2版本

并安装.net core runtime 2.0.3和.net core SDK 2.1.2。

当我打开一个新的Web应用程序我得到一个错误说

“的SDK指定‘microsoft.net.sdk.web’无法找到”

当我尝试建立一个现有的项目,我得到一个错误

“当前.NET SDK不支持针对.NET 2.0的核心。无论是 目标.NET核心1.1以下,或使用一个版本的.NET S的DK 支持.NET Core 2.0。“

我没有看到".net core 2.0"我的目标框架

我没有global.json文件在我的电脑

当我尝试dotnet --info,我得到这个

.NET Command Line Tools (2.1.2) 

产品信息:

版本:2.1.2

提交SHA-1散列:5695315371

运行环境:

操作系统名称:Windows

OS版本:10.0.10586

OS平台:视窗

RID:win10-x64

基本路径:C:\ Program Files文件\ DOTNET \ SDK \ 2.1.2 \

微软.NET核心共享框架主机

版本:2.0.3

体形:a9190d4a75f4a982ae4b4fa8d1a24526566c69df

有人请帮忙


===========解决方案如下:

通过添加MSBuildSdksPath userVariable修复它。


版权声明:本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系管理员进行删除。
喜欢 (0)